> For the complete documentation index, see [llms.txt](https://docs.flexikanban.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flexikanban.ai/components/actions-action-groups/types/update-records-action.md).

# Update Records Action

"Update Record" Action allows to change a record or a bunch of records.

* Add an action Type=Create Record (1). See more info about creating Actions in [Working with Actions](https://flexikanban.screenstepslive.com/admin/v2/internal_links/1641589?type=article\&site_id=24620) article.

![](https://media.screensteps.com/image_assets/assets/007/172/984/medium/fcda9e5f-436c-4bca-94b3-6a379d47af2d.png)

* Select the object (2) which you are going to update record for.
* Select fields you need to be updated (3).
* Fill in value for each field. You can use Static values, Merge Fields or Formulas to populate values (see more info on Merge Fields and Formulas at [Working with Context objects](https://flexikanban.screenstepslive.com/admin/v2/internal_links/1641592?type=article\&site_id=24620) and [Working with Functions](https://flexikanban.screenstepslive.com/admin/v2/internal_links/1641591?type=article\&site_id=24620)).

Note: some records can have required fields and these fields can be empty (e.g, they became required later than records were created). In this case "Update Records" action must update these fields too, otherwise system will fail it.

![](https://media.screensteps.com/image_assets/assets/007/172/986/medium/e176c120-b6d8-48e0-8e0c-d2f0f9937dd4.png)

Action modes are:

* Standard mode shows field values corresponding to their data types (picklists, checkboxes, etc.)
* Advanced mode shows all field values as text inputs to allow user to enter merge fields there.
* Populate **Conditions** (4) that should be matched by records. If do not specify conditions, ALL available records will be updated in the same way.
* Specify **Conditions Logic** (5) if needed.
* Specify **Limit** (6) of records to update in one time. If set too big value, you may undergo system limitations.

Note: Salesforce automatically restrict number of bulk updates to 100 records, if do not set limits (6).

* **Iterator Name** (7): you can set a variable (some word) which will be replaced with the value of the record updating cycle iterator. It's useful if you need to handle successful result of this action and refer to the index of iterations (10, see yellow highlights).
* **Execute in background** (8)**:** select it if you need to execute this action in other context than current user operation. See more info at [Execute in background option](https://flexikanban.screenstepslive.com/admin/v2/internal_links/1641667?type=article\&site_id=24620). If check this option, the new field will appear:
* **With gap** (9): by default it is 0, but can be set as an integer number of minutes. This field specifies interval before action execution.
* Save the action. Now you can call it from Kanban and other places.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flexikanban.ai/components/actions-action-groups/types/update-records-action.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
